String processor(const String& var){
  //Serial.println(var);
  if(var == "BUTTONPLACEHOLDER1"){//вставка на странице(если в HTML нашли BUTTONPLACEHOLDER1 то вставляем кнопки)
    String buttons ="";
   //отправка значения состояния перключателей checked- включен  ""-выключен
    buttons+= "<h4>Выход 1</h4><label class=\"switch\"><input type=\"checkbox\" onchange=\"toggleCheckbox(this)\" id=\"4\" " + outputState(4) + "><span class=\"slider\"></span></label>";
  
    return buttons;
  }
   if(var == "BUTTONPLACEHOLDER2"){//вставка на странице(если в HTML нашли BUTTONPLACEHOLDER2 то вставляем кнопки)
    String buttons ="";
   //отправка значения состояния перключателей checked- включен  ""-выключен
   
    buttons += "<h4>Выход 2</h4><label class=\"switch\"><input type=\"checkbox\" onchange=\"toggleCheckbox(this)\" id=\"26\" " + outputState(26) + "><span class=\"slider\"></span></label>";
   
    return buttons;
  }
   if(var == "BUTTONPLACEHOLDER3"){//вставка на странице(если в HTML нашли BUTTONPLACEHOLDER3 то вставляем кнопки)
    String buttons ="";
   //отправка значения состояния перключателей checked- включен  ""-выключен
   
     buttons += "<h4>Выход 3</h4><label class=\"switch\"><input type=\"checkbox\" onchange=\"toggleCheckbox(this)\" id=\"27\" " + outputState(27) + "><span class=\"slider\"></span></label>";
    return buttons;
  }
    if(var == "BUTTONPLACEHOLDER4"){//вставка на странице(если в HTML нашли BUTTONPLACEHOLDER4 то вставляем кнопки)
    String buttons ="";
   //отправка значения состояния перключателей checked- включен  ""-выключен
   //кнопка таймера (если вкл то выходы работают по таймерам если нет то по кнопке
     buttons += "<h4>Таймер</h4><label class=\"switch\"><input type=\"checkbox\" onchange=\"toggleCheckbox(this)\" id=\"55\" " + outputState55(55) + "><span class=\"slider\"></span></label>";
    return buttons;
  }
   if(var == "BUTTON"){//вставка на странице(если в HTML нашли BUTTON то вставляем кнопки)
    String buttons ="";
   //отправка значения состояния перключателей checked- включен  ""-выключен
    buttons+= "<h4>Output - GPIO 4 </h4><label class=\"switch\"><input type=\"checkbox\" onchange=\"toggleCheckbox(this)\" id=\"4\" " + outputState(4) + "><span class=\"slider\"></span></label>";
    buttons += "<h4>Output - GPIO 26</h4><label class=\"switch\"><input type=\"checkbox\" onchange=\"toggleCheckbox(this)\" id=\"26\" " + outputState(26) + "><span class=\"slider\"></span></label>";
     buttons += "<h4>Output - GPIO 27</h4><label class=\"switch\"><input type=\"checkbox\" onchange=\"toggleCheckbox(this)\" id=\"27\" " + outputState(27) + "><span class=\"slider\"></span></label>";
    return buttons;
  }
  return String();
}

//************************************************

String outputState(int out){
  if(digitalRead(out)){
    return "checked";
  }
  else {
    return "";
  }
}
String outputState55(int out){
  if(gpio[3]==1){
    return "checked";
  }
  else {
    return "";
  }
}
